Get all requests or a specific pending request from the database
GET
https://api.lws.net/v1/
operationIdgetDatabase
Get all requests or search for a specific pending request. Leave body empty to get all requests ; All parameters are optional, the more parameters, the more precise the search will be.
Query parameters
-
objetstring optional -
Which endpoint was used for the request
-
valeurstring optional -
Value associated with the request. Generally value specified as {domain} or {hosting}
-
typestring optional -
Subtype of the endpoint used
Responses
200
Domain information retrieved successfully
{
"code": 200,
"info": "Fetched request(s)",
"data": [
{
"id_revendeur": 245721,
"date": "2023-01-01",
"objet": "domain",
"valeur": "example.fr",
"type": "dns",
"retour": "0"
}
]
}
Response fields 9
-
codeinteger -
infostring -
dataobject[] -
id_revendeurintegerID of the reseller who made the request
-
datestring (date)When the request was created
-
objetstringWhich endpoint was used for the request
-
valeurstringValue associated with the request. Generally value specified as {domain} or {hosting}
-
typestringSubtype of the endpoint used
-
retourstringStatus of the request. By default will be NULL, once the request has been processed it will change for an error code
400
Failed to fetch requests
{
"code": 400,
"info": "Failed to fetch requests"
}
Response fields 2
-
codeinteger -
infostring
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
404
No requests found
{
"code": 404,
"info": "No requests found"
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring
500
No database connection
{
"code": 500,
"info": "No database connection"
}
Response fields 2
-
codeinteger -
infostring
502
Invalid response from database
{
"code": 502,
"info": "Invalid response from database"
}
Response fields 2
-
codeinteger -
infostring